<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="/webjars/bootstrap/4.4.1/css/bootstrap.min.css">
    <link href="https://fonts.googleapis.com/css?family=Quicksand&display=swap" rel="stylesheet">
    <link rel="stylesheet" th:href="@{/css/style.css}" />
    <script type="text/javascript" th:src="@{/static/js/dashboard.js}"></script>
    <script src="https://kit.fontawesome.com/1927c4eb85.js" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
        crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
        integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
        crossorigin="anonymous"></script>
    <script type="text/javascript" th:src="@{/js/addTransaction.js}"></script>
    <title>Add Expense</title>
</head>

<body>
<div class="sidenav">
    <div class='menu '>
        <i class="fas fa-home fa-lg"></i>
        <a th:href="@{/home}">Home</a>
    </div>

    <div class='menu'>
        <i class="fas fa-chart-pie fa-lg"></i>
        <a th:href="@{/projects/__${projectId}__/log}"> History</a>
    </div>

    <div class='menu'>
        <i class="fas fa-user-alt fa-lg"></i>
        <a th:href="@{/projects/__${projectId}__/contributor}"> Contributor</a>
    </div>
</div>

    <div class="main">
        <h1 class='title'>Add Transaction</h1>
            <div class="md-form">
                <br>
                <label>Title</label><br>
                <input type="text" id="tname" size=50><br><br>
                <label>Description</label><br>
                <textarea rows="4" id="tdesc" cols="50" name="comment">
                    Enter description here...
                </textarea><br><br>
                <label>Amount</label><br>
                <input type="text" id="amount" size=30><br><br>
                <label>Date</label><br>
                <input placeholder="Selected date" type="date" size=25 id="tdate" class="form-control datepicker"
                    th:name="transaction_date"><br><br>
                <label for="category">Category</label><br>
                <select id="category" class="dropdown-menu">
                    <!-- Category dropdown will be generated here -->
                </select>
            </div>

            <input id="submit" class="btn btn-sub" type="submit" value="Submit">
        </form>
    </div>

    <script>
        $('.datepicker').pickadate({
            weekdaysShort: ['Su', 'Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa'],
            showMonthsShort: true
        })
    </script>
</body>

</html>